<template>
  <div class="columns six input-with-button">
    <label for="mobilePhone">Мобильный телефон</label>
    <input type="tel"
           name="мобильный телефон"
           id="mobilePhone"
           :value="$user.mobilePhone"
           ref="mobilePhone"
           placeholder="+7("
           disabled="disabled"
           data-code="mobilePhoneIsEmpty, mobilePhoneInvalidFormat, mobilePhoneNotUnique, mobilePhoneDoNotHaveActiveSmsCode, spamProtectionRestriction"
    >
    <validate-message v-show="vErrors.has('мобильный телефон')">
      {{ vErrors.first('мобильный телефон') }}
    </validate-message>
    <button class="blue" @click="$modal.show('change-mobile-phone')">Изменить</button>
  </div>
</template>

<script>
  import UserErrorText from '@/mixins/User/UserErrorTextMixin'
  import ErrorHandleMixin from '@/mixins/ErrorHandleMixin'

  export default {
    mixins: [
      UserErrorText,
      ErrorHandleMixin
    ],
    name: 'contact-mobile-phone'
  }
</script>


<style scoped lang="scss">
  .disabled {
    color: darkGray;
    cursor: default;
  }

  ::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: #DED3D3;
  }

  ::-moz-placeholder { /* Firefox 19+ */
    color: #DED3D3;
  }

  :-ms-input-placeholder { /* IE 10+ */
    color: #DED3D3;
  }

  :-moz-placeholder { /* Firefox 18- */
    color: #DED3D3;
  }
</style>


